<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Haami
 */

get_header();
?>


<div class="container">
	<?php
	/**
	 * haami_breadcrumb hook.
	 *
	 */
	do_action('haami_breadcrumbs');
	?>

	<div class="main-wrapper">
		<main id="primary" class="site-main ct-post-wrapper">

			<?php if (have_posts()) : ?>
				<header class="page-header">
					<?php
					the_archive_title('<h1 class="page-title">', '</h1>');
					the_archive_description('<div class="archive-description">', '</div>');
					?>
				</header><!-- .page-header -->

				<!-- /* Start the Loop */ -->
				<div class="haami-content-area haami-masonry">
					<?php
					while (have_posts()) :
						the_post();

						/*
					* Include the Post-Type-specific template for the content.
					* If you want to override this in a child theme, then include a file
					* called content-___.php (where ___ is the Post Type name) and that will be used instead.
					*/
						get_template_part('template-parts/content', get_post_type());

					endwhile;
					?>
				</div>

			<?php
				do_action('haami_action_navigation');
			else :

				get_template_part('template-parts/content', 'none');

			endif;
			?>
		</main><!-- #main -->
		<?php
		get_sidebar();	?>

	</div>
</div>

<?php
get_footer();
